Bug 1272562 - Memory leaks found by unit tests
Memory leaks found by unit tests
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Charalampos Stratakis
Branislav Náter
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 14:34 EDT by Branislav Náter
Modified: 2017-08-01 16:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-2.7.5-53.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
: 1329510 (view as bug list)
Environment:
Last Closed: 2017-08-01 16:25:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix ssl leaks (486 bytes, patch)
2017-03-03 13:07 EST, Charalampos Stratakis
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Python 27267 None None None 2017-03-03 13:05 EST

  None (edit)
Comment 2 Charalampos Stratakis 2017-03-03 13:05:35 EST
This is because the load_cert_chain function of the ssl module (_ssl.c) leaks the keyfile_bytes and certfile_bytes, and these tests import the ssl module.

Relevant upstream commits:

https://github.com/python/cpython/commit/3b91de5a76aad471476f5bc5943e44bf386c0e6d

https://github.com/python/cpython/commit/b3e073cbb3af2999e6e589f55ec2fc8a109fdc14

Made a build which includes these commits and the leaks are gone:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12683751
Comment 3 Charalampos Stratakis 2017-03-03 13:07 EST
Created attachment 1259615 [details]
fix ssl leaks
Comment 6 Branislav Náter 2017-04-26 07:01:55 EDT
None of the reported memory leaks have been found in python-2.7.5-57.el7. Thanks!

TCMS Test results: https://tcms.engineering.redhat.com/run/308642/#caserun_15597934
Comment 7 errata-xmlrpc 2017-08-01 16:25:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1868

Note You need to log in before you can comment on or make changes to this bug.